Bug Hunting Session
Bug 121970 - kde5: Customizing menu breaks it
Summary: kde5: Customizing menu breaks it
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Aleksei Nikiforov
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-08 00:04 UTC by Michael Weghorn
Modified: 2019-02-28 11:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of "broken" menu after adding an entry (18.59 KB, image/png)
2018-12-08 00:05 UTC, Michael Weghorn
Details
scr-16-12-2018 (50.47 KB, image/png)
2018-12-16 14:09 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-12-08 00:04:47 UTC
This is specific to the kde5 VCL plugin. It works as expected when using e.g. the gtk3 VCL plugin instead.

Version: 6.3.0.0.alpha0+
Build ID: cb52b112c0d44d7a6849f773fd1ee4e863ab91da
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Steps to reproduce:

1) open LibreOffice Writer
2) "Tools" -> "Customize"
3) in the "Menus" tab, add a menu entry by moving a function to an existing target (e.g. just move the "100%" function to the "File" target)
4) click "OK" button to confirm

Result: 

* The top-level menu entries are no longer labelled correctly (e.g. "~File" is shown instead of "File", "~Edit" instead of "Edit").
* clicking on any of the menu entries has no effect.

Expected result:
* Menus should continue to work properly.
* The new menu entry (e.g. "100%" in the "File" menu) should be there.

Note: Everything is as expected again after restarting LibreOffice.
Comment 1 Michael Weghorn 2018-12-08 00:05:16 UTC
Created attachment 147366 [details]
Screenshot of "broken" menu after adding an entry
Comment 2 Vera Blagoveschenskaya 2018-12-16 14:08:30 UTC
I have some different behavior for the build

Version: 6.3.0.0.alpha0+
Build ID: e3e15d8c625cbf56e1f03d9ebde966e78844c7a4
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-13_20:10:25
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

1) Perform steps from Michael
2) Look at the top menu
3) Try to click on top menu

Result: view of the top menu is not broken, but it's impossible to see submenu items by clicking on them.
Comment 3 Vera Blagoveschenskaya 2018-12-16 14:09:00 UTC
Created attachment 147595 [details]
scr-16-12-2018
Comment 4 Commit Notification 2019-02-27 19:53:58 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f341921825370fb98ad896a20d823c5f0cb537f6%5E%21

tdf#121970 KDE5: Regenerate menu when it's set as submenu

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-02-28 08:28:29 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e14015edd9fb090bf7444f850dff42c84321bb35%5E%21

tdf#121970 KDE5: Regenerate menu when it's set as submenu

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Vera Blagoveschenskaya 2019-02-28 11:42:42 UTC
Thanks, Aleksei.

I've checked for
Version: 6.3.0.0.alpha0+
Build ID: 5413c8871dec08eff19f514f5f391b946a45c86c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-27_23:42:10
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Menu is not broken, all submenu iteams are available.